Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064011 - [abrt] rhythmbox: WebCore::DOMWindow::dispatchEvent(): rhythmbox killed by SIGSEGV
Summary: [abrt] rhythmbox: WebCore::DOMWindow::dispatchEvent(): rhythmbox killed by SI...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2c8e1aff932788969474232c134...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 19:17 UTC by daramas444
Modified: 2015-06-29 15:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:08:48 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: cgroup (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: core_backtrace (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: dso_list (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: environ (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: exploitable (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: limits (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: maps (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: open_fds (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: proc_pid_status (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details
File: var_log_messages (deleted)
2014-02-11 19:17 UTC, daramas444
no flags Details

Description daramas444 2014-02-11 19:17:02 UTC
Version-Release number of selected component:
rhythmbox-3.0.1-3.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/rhythmbox
crash_function: WebCore::DOMWindow::dispatchEvent
executable:     /usr/bin/rhythmbox
kernel:         3.12.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::DOMWindow::dispatchEvent at Source/WebCore/page/DOMWindow.cpp:1728
 #1 WebCore::FrameLoader::stopLoading at Source/WebCore/loader/FrameLoader.cpp:411
 #2 WebCore::FrameLoader::closeURL at Source/WebCore/loader/FrameLoader.cpp:507
 #3 WebCore::FrameLoader::detachFromParent at Source/WebCore/loader/FrameLoader.cpp:2400
 #4 webkit_web_view_dispose at Source/WebKit/gtk/webkit/webkitwebview.cpp:1360
 #6 gtk_scrolled_window_forall at gtkscrolledwindow.c:1459
 #7 gtk_container_destroy at gtkcontainer.c:1403
 #12 gtk_widget_dispose at gtkwidget.c:11279
 #14 gtk_box_forall at gtkbox.c:2096
 #15 gtk_container_destroy at gtkcontainer.c:1403

Comment 1 daramas444 2014-02-11 19:17:07 UTC
Created attachment 861945 [details]
File: backtrace

Comment 2 daramas444 2014-02-11 19:17:09 UTC
Created attachment 861946 [details]
File: cgroup

Comment 3 daramas444 2014-02-11 19:17:14 UTC
Created attachment 861947 [details]
File: core_backtrace

Comment 4 daramas444 2014-02-11 19:17:16 UTC
Created attachment 861948 [details]
File: dso_list

Comment 5 daramas444 2014-02-11 19:17:18 UTC
Created attachment 861949 [details]
File: environ

Comment 6 daramas444 2014-02-11 19:17:20 UTC
Created attachment 861950 [details]
File: exploitable

Comment 7 daramas444 2014-02-11 19:17:22 UTC
Created attachment 861951 [details]
File: limits

Comment 8 daramas444 2014-02-11 19:17:25 UTC
Created attachment 861952 [details]
File: maps

Comment 9 daramas444 2014-02-11 19:17:27 UTC
Created attachment 861953 [details]
File: open_fds

Comment 10 daramas444 2014-02-11 19:17:29 UTC
Created attachment 861954 [details]
File: proc_pid_status

Comment 11 daramas444 2014-02-11 19:17:30 UTC
Created attachment 861955 [details]
File: var_log_messages

Comment 12 daramas444 2014-02-11 20:40:42 UTC
solved problem by disabling all the addons using dconf-editor ; I was then able to open rhythmbox. Then I enabled the addons I think I was using before and I was able to open rhythmbox without problem.

Comment 13 Fedora End Of Life 2015-05-29 10:53:24 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 15:08:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.